import { FormBuilder, FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { SharedService } from '../../shared/shared.service';
import { TranslationService } from '../../translation.service';
import { AuthService } from '../auth.service';
import * as i0 from "@angular/core";
export declare class LoginComponent {
    private fb;
    private router;
    private authService;
    private sharedService;
    private translate;
    form: FormGroup;
    loginInvalid: boolean;
    isPassword: boolean;
    constructor(fb: FormBuilder, router: Router, authService: AuthService, sharedService: SharedService, translate: TranslationService);
    onSubmit(): void;
    mustBeInvited(): void;
    togglePassword(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "app-login", never, {}, {}, never, never>;
}
