import { OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { SharedService } from '../../../shared/shared.service';
import { AuthService } from '../../auth.service';
import { TranslationService } from '../../../translation.service';
import * as i0 from "@angular/core";
export declare class AuthTwoFaComponent implements OnDestroy {
    fb: FormBuilder;
    private auth;
    private route;
    private sharedService;
    private translateService;
    private authService;
    email: string;
    otp: string;
    form: FormGroup;
    private token;
    sending: boolean;
    private otpSendInterval;
    private otpExpirationCountdown;
    tokenExpirationTime: number;
    timeout: {
        mins: number;
        secs: number;
    };
    constructor(fb: FormBuilder, auth: AuthService, route: Router, sharedService: SharedService, translateService: TranslationService, authService: AuthService);
    ngOnDestroy(): void;
    request2fa(form: any): boolean;
    resendOTP(): void;
    private subscribeTocountdown;
    private reSubscribeToCountdown;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthTwoFaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthTwoFaComponent, "app-auth-two-fa", never, {}, {}, never, never>;
}
