import { OnInit, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const OTP_INPUT_VALUE_ACCESSOR: {
    provide: import("@angular/core").InjectionToken<readonly ControlValueAccessor[]>;
    useExisting: import("@angular/core").Type<any>;
    multi: boolean;
};
export declare class OtpInputComponent implements OnInit, ControlValueAccessor {
    length: number;
    placeholder: string;
    inputs: QueryList<any>;
    values: Array<string>;
    digitCount: Array<any>;
    touched: boolean;
    private validKey;
    private isPasting;
    constructor();
    ngOnInit(): void;
    onChange: any;
    onTouch: any;
    get value(): string;
    set value(val: string);
    writeValue(val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private acceptValue;
    updateValues(event: any, index: any): void;
    handleKeydown(event: any): void;
    private isDigitBackSpaceArrowSide;
    handlePasting(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OtpInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OtpInputComponent, "app-otp-input", never, { "length": "length"; "placeholder": "placeholder"; }, {}, never, never>;
}
