import { ElementRef, EventEmitter } from '@angular/core';
import { DefaultDataServiceConfig } from "@ngrx/data";
import { HttpUtilService } from "../../shared/http-utils.service";
import { SharedService } from "../../shared/shared.service";
import { TranslationService } from '../../translation.service';
import * as i0 from "@angular/core";
export declare class FileUploadComponent {
    private httpUtilService;
    private sharedService;
    protected config: DefaultDataServiceConfig;
    private translateService;
    uploadText: string;
    update: EventEmitter<any>;
    updateLoading: EventEmitter<any>;
    isDisabled: boolean;
    alreadyTotal: number;
    webpConvert: boolean;
    fileInput: ElementRef;
    loading: boolean;
    constructor(httpUtilService: HttpUtilService, sharedService: SharedService, config: DefaultDataServiceConfig, translateService: TranslationService);
    uploadFiles(event: any): void;
    private getValidNumberOfFiles;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileUploadComponent, "app-file-upload", never, { "uploadText": "uploadText"; "isDisabled": "isDisabled"; "alreadyTotal": "alreadyTotal"; "webpConvert": "webpConvert"; }, { "update": "update"; "updateLoading": "updateLoading"; }, never, never>;
}
