import { ICellRendererAngularComp } from '@ag-grid-community/angular';
import { ICellRendererParams } from '@ag-grid-community/core';
import { AuthService } from '../../../auth/auth.service';
import { SharedService } from '../../../shared/shared.service';
import { TranslationService } from '../../../translation.service';
import * as i0 from "@angular/core";
export declare class UserRoleCellRenderComponent implements ICellRendererAngularComp {
    private environment;
    private authService;
    private translateService;
    private sharedService;
    userState: string;
    email: string;
    private activationLink;
    isResendingInvite: boolean;
    isGettingActivationLink: boolean;
    justCopied: boolean;
    justSentInvite: boolean;
    constructor(environment: any, authService: AuthService, translateService: TranslationService, sharedService: SharedService);
    agInit(params: ICellRendererParams): void;
    refresh(params: ICellRendererParams): boolean;
    resendInvite(): void;
    getActivationLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserRoleCellRenderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserRoleCellRenderComponent, "lib-user-role-cell-render", never, {}, {}, never, never>;
}
