import { EventEmitter } from '@angular/core';
import { ImageAction, ImageModel } from "../image.model";
import * as i0 from "@angular/core";
export declare class ImageComponent {
    private environment;
    image: ImageModel;
    imageIndex: number;
    imageAction: EventEmitter<ImageAction>;
    state: string;
    deleteClickedCount: number;
    labels: any[];
    constructor(environment: any);
    get imagePath(): string;
    deleteImage(): void;
    updateImage(label: any, event: any): void;
    getImageLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageComponent, "app-image", never, { "image": "image"; "imageIndex": "imageIndex"; }, { "imageAction": "imageAction"; }, never, never>;
}
