import { MatSnackBar } from "@angular/material/snack-bar";
import { Socket } from "ngx-socket-io";
import * as i0 from "@angular/core";
export declare class SocketService {
    private socket;
    private snackbar;
    private user;
    private countsObservable$;
    private notificationObservable;
    private moduleChangeObservable;
    private newUserVerified$;
    constructor(socket: Socket, snackbar: MatSnackBar);
    get notifications(): import("rxjs").Observable<[]>;
    get counts(): import("rxjs").Observable<any>;
    get moduleChange(): import("rxjs").Observable<any>;
    get newUserVerified(): import("rxjs").Observable<any>;
    private initSocket;
    getNotifications(): void;
    notifyUserEmailVerified(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SocketService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SocketService>;
}
