import { MatSnackBar } from '@angular/material/snack-bar';
import { Observable } from 'rxjs';
import { SNACKBARTYPE } from './constants';
import * as i0 from "@angular/core";
export declare class SharedService {
    private snackBar;
    constructor(snackBar: MatSnackBar);
    openSnackBar(title: string, msg: string, type: SNACKBARTYPE, duration?: number): import("@angular/material/snack-bar").MatSnackBarRef<import("@angular/material/snack-bar").TextOnlySnackBar>;
    createIntersectionObserver(el: any, callback: IntersectionObserverCallback): IntersectionObserver;
    createCountDown(date: Date): Observable<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SharedService>;
}
