import * as fromRoot from '../../../reducers';
import * as fromPaginator from './paginator.reducer';
import { Action } from '@ngrx/store';
export declare const paginatorFeatureKey = "paginator";
export interface PaginatorState {
    [fromPaginator.statusFeatureKey]: fromPaginator.State;
}
export interface State extends fromRoot.State {
    [paginatorFeatureKey]: PaginatorState;
}
export declare function reducers(state: PaginatorState | undefined, action: Action): {
    paginator: fromPaginator.State;
};
export declare const selectPaginatorFeature: import("@ngrx/store").MemoizedSelector<State, PaginatorState, import("@ngrx/store").DefaultProjectorFn<PaginatorState>>;
export declare const selectPaginatorState: import("@ngrx/store").MemoizedSelector<State, fromPaginator.State, import("@ngrx/store").DefaultProjectorFn<fromPaginator.State>>;
export declare const selectPaginators: import("@ngrx/store").MemoizedSelector<State, fromPaginator.State, import("@ngrx/store").DefaultProjectorFn<fromPaginator.State>>;
