import { DefaultDataServiceConfig } from "@ngrx/data";
import { HttpUtilService } from "../shared/http-utils.service";
import { SharedService } from "../shared/shared.service";
import { TranslationService } from "../translation.service";
import * as i0 from "@angular/core";
export declare class FileManagerService {
    private http;
    protected config: DefaultDataServiceConfig;
    private sharedService;
    private translateService;
    constructor(http: HttpUtilService, config: DefaultDataServiceConfig, sharedService: SharedService, translateService: TranslationService);
    /**
     * delete file fom aws s3
     * @param filename
     * @param disableAlert
     */
    deleteFileFromAWS(filename: any, disableAlert?: boolean): import("rxjs").Observable<Object>;
    /**
     * delete list of files fom aws s3
     * @param files
     * @param disableAlert
     */
    deleteFileBulkFromAWS(files: FileBody[], disableAlert?: boolean): import("rxjs").Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileManagerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileManagerService>;
}
export declare class FileBody {
    filename: string;
}
