import { FormGroup } from '@angular/forms';
import { AddressFormService } from '../address-form.service';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AddressFormComponent implements OnInit, OnDestroy {
    private addressFormService;
    addressForm: FormGroup;
    isPhoneNumber: boolean;
    private googleAddressState;
    countriesList: any[];
    statesList: any[];
    notFoundText: string;
    private _unsubscribeAll;
    loadingStates: any;
    addressUpdated: EventEmitter<any>;
    constructor(addressFormService: AddressFormService);
    ngOnInit(): void;
    handleAddressChange(address: any): void;
    countryChange(value: any, isTokenAvailable: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddressFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddressFormComponent, "lib-address-form", never, { "addressForm": "addressForm"; "isPhoneNumber": "isPhoneNumber"; }, { "addressUpdated": "addressUpdated"; }, never, never>;
}
