import { OnInit, ChangeDetectorRef } from '@angular/core';
import { Location } from "@angular/common";
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export interface menuItem {
    name: string;
    link: string;
}
export declare class MenuComponent implements OnInit {
    private location;
    private router;
    private changeDetectorRef;
    activeIndex: number;
    menuItems: menuItem[];
    contentId: string;
    logo: string;
    isDefault: boolean;
    constructor(location: Location, router: Router, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    private observeCurrentPath;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "app-menu", never, { "menuItems": "menuItems"; "contentId": "contentId"; "logo": "logo"; "isDefault": "isDefault"; }, {}, never, ["*"]>;
}
