import { HttpClient } from '@angular/common/http';
import { DefaultDataServiceConfig, HttpUrlGenerator } from '@ngrx/data';
import * as i0 from "@angular/core";
export declare class PopulateEntityDataServiceFactory {
    protected http: HttpClient;
    protected config: DefaultDataServiceConfig;
    protected httpUrlGenerator: HttpUrlGenerator;
    private entityName;
    constructor(http: HttpClient, config: DefaultDataServiceConfig, httpUrlGenerator: HttpUrlGenerator);
    setEntityName(entityName: string): string;
    create(): {
        entityName: string;
        http: HttpClient;
        httpUrlGenerator: HttpUrlGenerator;
        config: DefaultDataServiceConfig;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<PopulateEntityDataServiceFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PopulateEntityDataServiceFactory>;
}
